Description

Hi everyone, sorry for the silly question, but I cannot figure out how to configure Redmine to log (in the Activity Tab) when a task is

deleted.

I can see when new tasks are created / modified, but I make the test of deleting one … and there is no trace :(

This would be very helpful for our team, because we are adding external staff.

Thanks in advance.

History

#1 - 2010-09-22 21:21 - Felix Schäfer

- Status changed from New to Closed

Deleting an issue does exactly that: completely deleting it. You will probably want to close or reject issues rather than deleting them.

#2 - 2010-09-22 22:03 - Fernando ETCHEVARREN

- File Captura_de_pantalla_2010-09-22_a_las_16.36.18.png added

Maybe I didnt explain correctly: if a user has Delete Task permissions, he is able to delete a task, but in the audit trail, there is no record of the

deletion of the task.

It happens to us that one guy is the project manager and suddlendly some tasks "dissapear", and we have no way of knowing who is deleting the

task.

It would be very useful, for example to be able to see a (Deleted) record in the activity log, so we can find out who is doing that: I have a lot of roles

that have the "Delete Task" permission.

Just as an example, I attach a file where you can see the log Activity: it would be nice to see a (Deleted) Record when someones deletes a Task.

Thanks in advance.

#3 - 2010-09-23 13:36 - Felix Schäfer

The "activity" page is not an audit trail but shows different things that happened to still existing objects. When you delete an issue, it is completely

removed, as well as all its history and everything else, as if it had never been there. If that is something you don't want, remove the "delete issue"

permission from all but users you trust.

#4 - 2013-06-10 14:26 - Terence Mill

Fernando Sanche

This shall be a feature request
